extends ../../common-templates/layout

block title
  title Stream Browser | StreamExplorer

block content
  h1 Stream #{streamName}

  if messages.length === 0
    p.alert.alert-info There are no messages in this stream
  else
    table.table.table-striped
      thead
        tr
          th Position
          th Type
          th Time
      tbody
        each message in messages
          tr
            td: a(href=`/streams/${streamName}/${message.position}`)= message.position
            td= message.type
            td= message.time
